# class Tk::Iwidgets::Finddialog

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

clear() click to toggle source

    # File lib/tkextlib/iwidgets/finddialog.rb, line 35
    def clear
      tk_call(@path, 'clear')
      self
    end

find() click to toggle source

    # File lib/tkextlib/iwidgets/finddialog.rb, line 40
    def find
      tk_call(@path, 'find')
    end

### Private Instance Methods

__strval_optkeys() click to toggle source
Calls superclass method Tk::Itk::Toplevel#__strval_optkeys

    # File lib/tkextlib/iwidgets/finddialog.rb, line 22
    def __strval_optkeys
      super() + [
        'patternbackground', 'patternforeground',
        'searchbackground', 'searchforeground'
      ]
    end

__val2ruby_optkeys() click to toggle source
Calls superclass method

    # File lib/tkextlib/iwidgets/finddialog.rb, line 30
    def __val2ruby_optkeys  # { key=>proc, ... }
      super().update('textwidget'=>proc{|v| window(v)})
    end